(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(calendar-column-width 3)
 '(calendar-day-digit-width 2)
 '(custom-safe-themes
   (quote
    ("3f7b4c736ffe0a373b06ce3d97c26b9e559bbc4f9b2e50e4b53143f0b0d7eb2c" "45aa5096f5844cc95ecb8cb144b0597baaccfa56f6b44a32f9a12b2431a1d409" default)))
 '(org-trello-current-prefix-keybinding "C-c o")
 '(package-selected-packages
   (quote
    (powershell use-package flx flx-ido ac-c-headers ac-html ac-html-bootstrap auto-complete-exuberant-ctags brutal-theme python rainbow-delimiters racket-mode swift-helpful swift-mode swift-playground-mode swift3-mode project-shells projectile-codesearch projectile-rails projectile-variable purple-haze-theme org-journal org-journal-list org-kindle org-multi-wiki org-projectile org-wc 0blayout ego org-analyzer org-board org-d20 org-ac org-beautify-theme org-brain org-clock-today org-gcal org-static-blog org-sync org-sync-snippets org-timeline org-trello org powerline-evil yaml-mode yasnippet-classic-snippets yasnippet-snippets snippet smex qt-pro-mode qml-mode paradox osx-trash osx-plist osx-org-clock-menubar osx-lib osx-dictionary osx-clipboard osx-browse nixpkgs-fmt nix-mode neotree magit haskell-mode flycheck evil-surround evil-smartparens evil-org evil-leader elscreen elpa-mirror elixir-yasnippets elixir-mode editorconfig-custom-majormode diminish-buffer diminish auto-complete-distel auto-complete-c-headers arduino-mode airline-themes ac-clang abyss-theme)))
 '(paradox-automatically-star nil))

(setq inhibit-splash-screen t)
(menu-bar-mode -1)
(tool-bar-mode -1)
(add-to-list 'load-path "~/.emacs.d/loadins")
(when (eq system-type 'darwin)
  (load "darwin.el"))
(load "packages.el")
(load "evil-bindings.el")
(when (file-readable-p "~/.emacs.d/loadins/private.el")
  (load "private.el"))
(when (file-readable-p "~/.emacs.d/local.el")
  (load "local.el"))
(load "org-vars.el")
(load "backups.el")
(load "autoinsert-options.el")
(load "haskell-hooks.el")
(load "perl-hooks.el")
(load "hooks.el")
(load "projectile.el")
(load "text-vars.el")
(load "graphical.el")
(load "themeing.el")

(elscreen-start)
(evil-mode 1)
(editorconfig-mode 1)
(projectile-mode +1)
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :stipple nil :background "#000000" :foreground "#bbe0f0" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 181 :width normal :foundry "nil" :family "Source Code Pro"))))
 '(bold ((t (:weight bold))))
 '(variable-pitch ((t (:inherit nil :stipple nil :background "#000000" :foreground "#bbe0f0" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 181 :width normal :foundry "nil" :family "Source Sans Pro")))))
