(add-to-list 'load-path (expand-file-name "~/.emacs.d/defaultcontent/"))
(setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3"
      )
(require 'package)
(add-to-list 'package-archives
             '("melpa" . "https://melpa.org/packages/") t)
(package-initialize)

(require 'diminish)
(require 'evil) ; because otherwise emacs is unusable :V
(require 'evil-leader) 
(require 'evil-surround) ; <33 buttsaver!
(require 'evil-smartparens) ; we want smartparens to work under evil 
(require 'evil-org)  ; we want org mode to be usable under evil
(require 'ibuffer)  ;
(require 'smex)     ; we still use M-x, lets make it a little nicer
(require 'elscreen) ; tabs are really nice
(require 'org) 
(require 'flycheck) ; syntax checking and linting
(require 'defaultcontent)
(require 'neotree)
(require 'editorconfig)
(require 'editorconfig-custom-majormode)
(require 'powerline) ; pretty <3
(require 'airline-themes) ; pretty pretty <3
(require 'projectile)
