;; perl-mode is rubbish (imo)
(defalias 'perl-mode 'cperl-mode)

; tell Flycheck to actually use our local perl.
; TODO: Improve this so that it can take in a perl version. 
(defun do-flycheck-perlbrew ()
  (let ((userdir (expand-file-name "~/")))
    (setq
     flycheck-perl-executable (concat userdir "perl5/perlbrew/perls/perl-5.26.1/bin/perl"))
    (setq
     flycheck-perl-include-path
     (list
      (concat userdir "perl5/perlbrew/perls/perl-5.26.1/lib/5.26.1")
      (concat userdir "perl5/perlbrew/perls/perl-5.26.1/lib/site_perl/5.26.1")
      (when (eq system-type 'darwin)
	(concat userdir "perl5/perlbrew/perls/perl-5.26.1/lib/5.26.1/darwin-2level")
	(concat userdir "perl5/perlbrew/perls/perl-5.26.1/lib/site_perl/5.26.1/darwin-2level"))
      ))))

;; hooks per major-mode 
;; perl file hooks 
(add-hook 'cperl-mode-hook
          (lambda ()
            (linum-mode)
            (cperl-set-style "PerlStyle")
            (flycheck-mode)
	    (do-flycheck-perlbrew)
	    ))
