#!/usr/bin/env sh

echo "This script will clobber existing links and files."
echo "Press Control C in the next 5 seconds to abort"
for x in 5 4 3 2 1 ; do
    printf "%s." "$x"
    sleep 1
done
echo clobbering linked files!

IAM="$(realpath $(dirname $0))"

mkdir -p ~/.config
mkdir -p ~/.bin

# shell dotfiles
ln -fns $IAM/profilevars ~/.profile
ln -fns $IAM/zlogin ~/.zlogin
ln -fns $IAM/zshrc ~/.zshrc
ln -fns $IAM/bashrc ~/.bashrc
ln -fns $IAM/bash_profile ~/.bash_profile

# editor dotfiles
ln -fns $IAM/emacs.d ~/.emacs.d
ln -fns $IAM/vimrc ~/.vimrc

# X dotfiles
ln -fns $IAM/xinitrc ~/.xinitrc
ln -fns $IAM/xmodmap ~/.xmodmap
ln -fns $IAM/xprofile ~/.xprofile

# WM/DE dotfiles
ln -fns $IAM/i3 ~/.config/i3
ln -fns $IAM/i3status ~/.config/i3status
ln -fns $IAM/qt5ct ~/.config/qt5ct

# misc dotfiles
ln -fns $IAM/gitconfig ~/.gitconfig

# tasks
emacs --script install-packages.el
